import { request, upload } from "@/utils/request";

/**
 * 获取瑞都日报列表
 * @param params 查询参数
 * @param pageNo 页码
 * @param pageSize 每页数量
 */
export function getRuiDuReportPage(params) {
  return request({
    url: "/pms/iot-rd-daily-report/page",
    method: "get",
    params,
  });
}

export function createIotRdDailyReport(data) {
  return request({
    url: "/pms/iot-rd-daily-report/create",
    method: "post",
    data,
  });
}

/**
 * 获取瑞都日报详情 - 任务信息
 * @param params 查询参数
 * @param id 瑞都日报ID
 */
export function getRuiDuReportDetail(params) {
  return request({
    url: "/pms/iot-rd-daily-report/get",
    method: "get",
    params,
  });
}

/**
 * 瑞都日报填报
 * 根据选择的‘施工工艺’选项，查询施工工艺对应的工作量属性字段
 */
export function getRuiDuReportAttrs(params) {
  return request({
    url: "/rq/iot-daily-report-attrs/dailyReportAttrs",
    method: "get",
    params,
  });
}

/**
 * 上传瑞都日报附件
 * @param filePath
 */
export const uploadAttachmentsFile = (filePath, deviceId = undefined) =>
  upload("/rq/file/upload", {
    // #ifdef MP-ALIPAY
    fileType: "image/video/audio", // 仅支付宝小程序，且必填。
    // #endif
    filePath: filePath, // 要上传文件资源的路径。
    name: "files", // 文件对应的 key , 开发者在服务器端通过这个 key 可以获取到文件二进制内容
    header: {
      "device-id": deviceId,
    } /* 会与全局header合并，如有同名属性，局部覆盖全局 */,
  });

/**
 * 瑞都日报填报 - 更新
 * @param data 提交参数
 */
export function updateRuiDuReport(data) {
  return request({
    url: "/pms/iot-rd-daily-report/update",
    method: "put",
    data,
  });
}

export function updateRuiDuReportBatch(data) {
  return request({
    url: "/pms/iot-rd-daily-report/saveBatch",
    method: "post",
    data,
  });
}

export function approveRdDailyReport(data) {
  return request({
    url: "/pms/iot-rd-daily-report/approval",
    method: "put",
    data,
  });
}
